﻿using Infragistics.Windows;
using Infragistics.Windows.DataPresenter;
using Infragistics.Windows.Editors;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace XDGValidationCase
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            this.DataContext = new ViewModel();
        }

        
        private void XDG1_RecordDeactivating(object sender, Infragistics.Windows.DataPresenter.Events.RecordDeactivatingEventArgs e)
        {
            DataRecord DR = e.Record as DataRecord;
            SampleData SD = DR.DataItem as SampleData;
            foreach (Field F in DR.FieldLayout.Fields)
            {
                CellValuePresenter CVP = CellValuePresenter.FromRecordAndField(DR, F);
                if (CVP.Value == null)
                {
                    CVP.StartEditMode();
                    e.Cancel = true;
                    break;
                    
                }
            }
        }    
    }
}
